# Villefort
Villefort is a time managment system written in Haskell.

## Now with xmonad style configuration!
You can Configure
-- the port
-- daily tasks
-- tasks to run on certain days of the week.

create a custom main method in ~.villefort/villefort.hs example

```haskell
module Main where

import Villefort


main :: IO ()
main = villefort def {
           -- description			Title	       Subject
  daily = [[ "Water Plants with 50ml of water","Water Plants","Garden"]] -- tasks to run daily
  weekly = defWeekly {
      friday = [return ["Freaky Friday","Friday","Admin"] -- tasks to run every friday
      },
  port = 3001
    }
```

Then run ```Villefort --recompile```
the next time you run villefort it will run with your configuration.

The default configuration is located here https://github.com/Chrisr850/Villefort/blob/master/src/Villefort/Config.hs

# Home screen
![alt text](https://raw.githubusercontent.com/Chrisr850/Villefort/master/data/screen.png)
# Add new todos
![alt text](https://raw.githubusercontent.com/Chrisr850/Villefort/master/data/screen01.png)
# Stats page 

![alt text](https://raw.githubusercontent.com/Chrisr850/Villefort/master/data/screen02.png)

# To install 
1. Install cabal (https://www.haskell.org/platform/)
2. In terminal or command prompt run `cabal install Villefort`.
3. and then `cabal run Villefort`.
4. You will be able to see the homescreen by typing localhost:3002 into your favorite browser.
