module Villefort.Summary where 
import Villefort.Database
import Control.Monad.IO.Class
import Villefort.Todo
import Villefort.Stats

getDone :: IO [[String]]
getDone = makeQuery  "select Title, time  from todo where substr(Due,1,10) = Date('now','localtime') and time != 0"

getSummary :: IO String
getSummary = do
  dat <- liftIO $ getDone
  header <- getHeader
  return ( header ++ (makeTable ["Subject","Time"] dat))
--2017-07-26
